package org.biosphere.portlets.util;

import javax.swing.tree.*;

public class Data extends DefaultTreeModel {
    public static String DB = "db";
    private String name;
    
    
    public Data(){
	super(new DefaultMutableTreeNode(Data.DB));
	this.name=null;
    }

    public Data(String name){
	super(new DefaultMutableTreeNode(name));
	setName(name);
    }
    
    public void setName(String name){
	if(name!=null) {
	    if(name.trim().equals(""))
		name=null;
	    else {
		this.name = name.trim();
		((DefaultMutableTreeNode)this.getRoot()).setUserObject(new String(this.name));
	    }
	}
	else
	    this.name = null;
    }

    public String getName(){
	return this.name;
    }
    
    public String toString() {
	return "name=[" + this.name + "]";
    }
}
