<%@ include file="/WEB-INF/jsp/include.jsp" %>
<%@ taglib uri="/portletUI" prefix="ui" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<portlet:defineObjects/>



<h1>eXist Database Listing</h1>

This is a simple interface to an eXist XML database, which is also running
on the GridSphere server. The database is being accessed through OGSA-DAI 3.1.
The database structure is shown as a JavaScript tree. This portlet
demonstrates the live connection between the portlet and the database.

<form method="post" action="<portlet:actionURL/>">
	<table border="0" cellpadding="4">
		<tr>
			<th>Enter collection name:</th>
			<spring:bind path="data.name">
		        <td>
		          <input type="text" name="name" value="<c:out value="${status.value}"/>">
		        </td>
			<td>
				<button type="submit">Enter</button>
			</td>
		        <td>
		          <font color="red"><c:out value="${status.errorMessage}"/></font>
		        </td>
		    </spring:bind>
			
			<spring:hasBindErrors name="data">
				<p style="color:#A00000">Please fix all errors!</p>
			</spring:hasBindErrors>
		</tr>
		<tr><td> (or leave empty to show all)</td><td></td><td></td>
		</tr>
	</table>
</form>

Note: The collection name should be empty, or of the form
<b>shakespeare/plays</b>
<hr>
<c:if test="${!empty newData}"> 	
${newData}  
</c:if>
<c:if test="${empty newData}"> 	
Click 'Enter' to generate or to refresh the database listing - which
will appear here 
</c:if>
<hr>
<c:out value="${header['User-Agent']}"/>

<p style="text-align:center;"><a href="<portlet:renderURL portletMode="view"/>">- HOME -</a></p>
